
Creates a bootstrap token to be used for node joining

### Synopsis


Creates a bootstrap token. If no token value is given, kubeadm will generate a random token instead. 

Alternatively, you can use kubeadm token. 

Alpha Disclaimer: this command is currently alpha.

```
kubeadm alpha phase bootstrap-token create
```

### Options

```
      --cert-dir string      The path where certificates are stored (default "/etc/kubernetes/pki")
      --config string        Path to kubeadm config file (WARNING: Usage of a configuration file is experimental)
      --description string   A human friendly description of how this token is used. (default "The default bootstrap token generated by 'kubeadm init'.")
      --groups stringSlice   Extra groups that this token will authenticate as when used for authentication. Must match "system:bootstrappers:[a-z0-9:-]{0,255}[a-z0-9]" (default [system:bootstrappers:kubeadm:default-node-token])
      --skip-token-print     Skip printing of the bootstrap token
      --token string         The token to use for establishing bidirectional trust between nodes and masters
      --ttl duration         The duration before the token is automatically deleted (e.g. 1s, 2m, 3h). If set to '0', the token will never expire (default 24h0m0s)
      --usages stringSlice   Describes the ways in which this token can be used. You can pass --usages multiple times or provide a comma separated list of options. Valid options: [signing,authentication] (default [signing,authentication])
```

### Options inherited from parent commands

```
      --kubeconfig string   The KubeConfig file to use when talking to the cluster (default "/etc/kubernetes/admin.conf")
```

